Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSBGV

    java.lang.Object
      org.netlib.lapack.SSBGV

    public class SSBGV

extends java.lang.Object

    SSBGV is a simplified interface to the JLAPACK routine ssbgv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSBGV computes all the eigenvalues, and optionally, the eigenvectors

     *  of a real generalized symmetric-definite banded eigenproblem, of
     *  the form A*x=(lambda)*B*x. Here A and B are assumed to be symmetric
     *  and banded, and B is also positive definite.
     *
     *  Arguments
     *  =========
     *
     *  JOBZ    (input) CHARACTER*1
     *          = 'N':  Compute eigenvalues only;
     *          = 'V':  Compute eigenvalues and eigenvectors.
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangles of A and B are stored;
     *          = 'L':  Lower triangles of A and B are stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrices A and B.  N >= 0.
     *
     *  KA      (input) INTEGER
     *          The number of superdiagonals of the matrix A if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'. KA >= 0.
     *
     *  KB      (input) INTEGER
     *          The number of superdiagonals of the matrix B if UPLO = 'U',
     *          or the number of subdiagonals if UPLO = 'L'. KB >= 0.
     *
     *  AB      (input/output) REAL array, dimension (LDAB, N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix A, stored in the first ka+1 rows of the array.  The
     *          j-th column of A is stored in the j-th column of the array AB
     *          as follows:
     *          if UPLO = 'U', AB(ka+1+i-j,j) = A(i,j) for max(1,j-ka)<=i<=j;
     *          if UPLO = 'L', AB(1+i-j,j)    = A(i,j) for j<=i<=min(n,j+ka).
     *
     *          On exit, the contents of AB are destroyed.
     *
     *  LDAB    (input) INTEGER
     *          The leading dimension of the array AB.  LDAB >= KA+1.
     *
     *  BB      (input/output) REAL array, dimension (LDBB, N)
     *          On entry, the upper or lower triangle of the symmetric band
     *          matrix B, stored in the first kb+1 rows of the array.  The
     *          j-th column of B is stored in the j-th column of the array BB
     *          as follows:
     *          if UPLO = 'U', BB(kb+1+i-j,j) = B(i,j) for max(1,j-kb)<=i<=j;
     *          if UPLO = 'L', BB(1+i-j,j)    = B(i,j) for j<=i<=min(n,j+kb).
     *
     *          On exit, the factor S from the split Cholesky factorization
     *          B = S**T*S, as returned by SPBSTF.
     *
     *  LDBB    (input) INTEGER
     *          The leading dimension of the array BB.  LDBB >= KB+1.
     *
     *  W       (output) REAL array, dimension (N)
     *          If INFO = 0, the eigenvalues in ascending order.
     *
     *  Z       (output) REAL array, dimension (LDZ, N)
     *          If JOBZ = 'V', then if INFO = 0, Z contains the matrix Z of
     *          eigenvectors, with the i-th column of Z holding the
     *          eigenvector associated with W(i). The eigenvectors are
     *          normalized so that Z**T*B*Z = I.
     *          If JOBZ = 'N', then Z is not referenced.
     *
     *  LDZ     (input) INTEGER
     *          The leading dimension of the array Z.  LDZ >= 1, and if
     *          JOBZ = 'V', LDZ >= N.
     *
     *  WORK    (workspace) REAL array, dimension (3*N)
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  if INFO = i, and i is:
     *             <= N:  the algorithm failed to converge:
     *                    i off-diagonal elements of an intermediate
     *                    tridiagonal form did not converge to zero;
     *             > N:   if INFO = N + i, for 1 <= i <= N, then SPBSTF
     *                    returned INFO = i: B is not positive definite.
     *                    The factorization of B could not be completed and
     *                    no eigenvalues or eigenvectors were computed.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`SSBGV()`

Method Summary
`static void` | `SSBGV(java.lang.String jobz, java.lang.String uplo, int n, int ka, int kb, float[][] ab, float[][] bb, float[] w, float[][] z, float[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSBGV

    public SSBGV()

Method Detail

### SSBGV

    public static void SSBGV(java.lang.String jobz,
                             java.lang.String uplo,
                             int n,
                             int ka,
                             int kb,
                             float[][] ab,
                             float[][] bb,
                             float[] w,
                             float[][] z,
                             float[] work,
                             intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD